Subject: Re: What's in git.git (stable)

From: Jakub Narebski <[email-masked]>
Date: Wed, 13 Dec 2006 23:48:44 +0100

Andy Parkins wrote:

> This is what I have in my "niggles" list.  These are surface level things that 
> I think are easy to fix.  A large part of the scariness is (I think) git's 
> unfriendly output.  Too many messages require understanding of git internals.

Nice list, although I'd rather add extra output only if command is used
with -v/--verbose (or -V/--verbose) option; if not, then add -q/--quiet
(or -s/--silent) option to be used in scripts. I'm partial to --verbose
solution, as advanced users are not interested in any output; they know
the commands, and want them to be fast. C.f GNU tar: it outputs something
only with -v/--verbose option.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git